解决JQuery 1.8 Syntax error,unrecognized expression兼容问题

来源:免费资源网  时间:2018-01-03    阅读:   我要吐槽    阿里云幸运券

这是一篇比较老的文章,收集过来主要是为了大家作为借鉴。

最近有部分童鞋反应其WordPress升级到了3.5版之后,页面上貌似出现了点问题,如文章归档页面无法点击伸展收缩,页面顶部的微博、订阅的图标不能实现鼠标移上去渐变。

主题是自动获取程序自身携带的Jquery代码的,现在更新到了1.8.3了,使用FireBug发现提示 Syntax error, unrecognized expression 错误,然后看错误信息列出了“.icon1,.icon2,.icon3,.icon4,”。

我想应该不是文章归档的js有问题,应该跟“.icon1,.icon2,.icon3,.icon4,”有关。

JQuery 1.8 Syntax error,unrecognized expression

搜索网络找到这篇文章:jQuery 1.8.0-min Syntax error, unrecognized expression

里面这么一句话:

In both cases allClasses variable ends with a comma at the end, so the final selector is something like .s0.s1,.s2,s3,s4, what is acceptable in jQuery 1.7, but doesn’t work in 1.8+.

大概的意思就是最后以逗号结尾了,这个在jQuery 1.7是合法的,在jQuery 1.8就不合法了。

如果大家升级之后也发现了上述问题,解决的方法很简单,就是删除主题js文件夹下面的weisay.js里面的icon4后面的逗号,大概在50行。

jQuery 1.8 看来更加严谨了,以后写代码更加注意了。

Tags:JQuery  兼容问题  

参与讨论